online shop/accounts/urls.py
from django.urls import path
from . import views

app_name = 'accounts'

urlpatterns = [
    path('login/', views.user_login, name='login'),
    path('logout/', views.user_logout, name='logout'),
    path('register/', views.user_register, name='register')
]

online shop/cart/urls.py
from django.urls import path, include

from cart import views

app_name = 'cart'
urlpatterns = [
    path('', views.detail, name='detail'),
    path('add/<int:product_id>', views.cart_add, name='cart_add'),
    path('remove/<int:product_id>', views.cart_remove, name='cart_remove')
]

online shop/core/urls.py
from django.conf.urls.static import static
from django.contrib import admin
from django.urls import path, include

from core import settings

urlpatterns = [
                  path('admin/', admin.site.urls),
                  path('accounts/', include('accounts.urls', namespace='accounts')),
                  path('cart/', include('cart.urls', namespace='cart')),
                  path('orders/', include('orders.urls', namespace='orders')),
                  path('', include('shop.urls', namespace='shop')),
              ] + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

online shop/shop/urls.py
from django.urls import path
from . import views

app_name = 'shop'

urlpatterns = [
    path('', views.home, name='home'),
    path('category/<slug:slug>/', views.home, name='category_filter'),
    path('<slug:slug>/', views.product_detail, name='product_detail'),
]

online shop/templates/inc/messages.html
{% if messages %}
    {% for message in messages %}
        <div class="alert alert-{{ message.tags }}">
            {{ message }}
        </div>
    {% endfor %}
{% endif %}

online shop/templates/inc/navbar.html
<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
    <div class="navbar-nav">
        <a class="nav-item nav-link active" href="{% url 'shop:home' %}">Home</a>
        {% if request.user.is_authenticated %}
        <a class="nav-item nav-link active" href="{% url 'accounts:logout' %}">Logout</a>
        {% else %}
        <a class="nav-item nav-link active" href="{% url 'accounts:login' %}">Login</a>
        <a class="nav-item nav-link active" href="{% url 'accounts:register' %}">Register</a>
        {% endif %}
    </div>
</nav>